/*
 * Copyright (C) 2009 Andy Spencer <spenceal@rose-hulman.edu>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <config.h>
#include <gtk/gtk.h>

#include "location.h"

city_t cities[] = {
	{LOCATION_STATE, NULL,   "Alabama",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBMX", "Birmingham",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMXX", "E. Alabama",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEOX", "Fort Rucker",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMOB", "Mobile",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHTX", "Nrn. Alabama",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Alaska",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KABC", "Bethel",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KACG", "Biorka Is.",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAPD", "Fairbanks",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAHG", "Kenai",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAKC", "King Salmon",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAIH", "Middleton Is.",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAEC", "Nome",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAPD", "Pedro Dome",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KACG", "Sitka",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Arizona",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFSX", "Flagstaff",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KIWA", "Phoenix",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEMX", "Tucson",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KYUX", "Yuma",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Arkansas",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLZK", "Little Rock",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSRX", "W. Ark./Ft. Smith", {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "California",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBBX", "Beale AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEYX", "Edwards AFB",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBHX", "Eureka",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHNX", "Hanford",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KVTX", "Los Angeles",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDAX", "Sacramento",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KNKX", "San Diego",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMUX", "San Francisco",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHNX", "San Joaquin Vly.",  {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSOX", "Santa Ana Mtns",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KVBX", "Vandenberg AFB",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Colorado",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFTG", "Denver/Boulder",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGJX", "Grand Junction",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KPUX", "Pueblo",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Delaware",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDOX", "Dover AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Florida",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEVX", "Eglin AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KJAX", "Jacksonville",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBYX", "Key West",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMLB", "Melbourne",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAMX", "Miami",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEVX", "NW Florida",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTLH", "Tallahassee",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTBW", "Tampa Bay Area",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Georgia",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFFC", "Atlanta",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KVAX", "Moody AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFFC", "Peachtree City",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KJGX", "Robins AFB",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Guam",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGUA", "Andersen AFB",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Hawaii",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHKI", "Kauai",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHKM", "Kohala",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHMO", "Molokai",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHWA", "South Shore",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Idaho",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCBX", "Boise",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSFX", "Pocatello",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Illinois",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KILX", "Central IL",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLOT", "Chicago",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Indiana",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KVWX", "Evansville",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KIND", "Indianapolis",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KIWX", "Nrn. Indiana",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Iowa",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDMX", "Des Moines",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDVN", "Quad Cities",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Kansas",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDDC", "Dodge City",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGLD", "Goodland",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTWX", "Topeka",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KICT", "Wichita",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Kentucky",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHPX", "Fort Cambell",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KJKL", "Jackson",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLVX", "Louisville",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KPAH", "Paducah",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Louisiana",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KPOE", "Fort Polk",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLCH", "Lake Charles",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLIX", "New Orleans",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSHV", "Shreveport",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Maine",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCBW", "Caribou",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGYX", "Portland",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Maryland",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLWX", "Baltimore",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Massachusetts",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBOX", "Boston",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Michigan",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDTX", "Detroit",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAPX", "Gaylord",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGRR", "Grand Rapids",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMQT", "Marquette",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Minnesota",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDLH", "Duluth",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMPX", "Minneapolis",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Mississippi",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGWX", "Columbus AFB",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDGX", "Jackson/Brandon",   {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Missouri",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEAX", "Kansas City",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSGF", "Springfield",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLSX", "St. Louis",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Montana",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBLX", "Billings",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGGW", "Glasgow",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTFX", "Great Falls",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMSX", "Missoula",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Nebraska",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KUEX", "Hastings",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLNX", "North Platte",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KOAX", "Omaha",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Nevada",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLRX", "Elko",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KESX", "Las Vegas",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRGX", "Reno",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "New Jersey",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDIX", "Mt. Holly",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "New Mexico",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KABX", "Albuquerque",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFDX", "Cannon AFB",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHDX", "Holloman AFB",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "New York",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KENX", "Albany",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBGM", "Binghamton",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBUF", "Buffalo",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTYX", "Montague",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KOKX", "New York City",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KOKX", "Upton",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "North Carolina",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRAX", "Durham",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMHX", "Morehead City",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRAX", "Raleigh",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLTX", "Wilmington",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "North Dakota",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBIS", "Bismarck",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMVX", "Grand Forks",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMBX", "Minot AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Ohio",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KILN", "Cincinnati",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCLE", "Cleveland",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KILN", "Dayton",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KILN", "Wilmington",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Oklahoma",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFDR", "Frederick",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KTLX", "Oklahoma City",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KINX", "Tulsa",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KVNX", "Vance AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Oregon",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMAX", "Medford",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KPDT", "Pendleton",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRTX", "Portland",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Pennsylvania",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDIX", "Philadelphia",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KPBZ", "Pittsburgh",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCCX", "State College",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Puerto Rico",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KJUA", "Puerto Rico/V.I.",  {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "South Carolina",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCLX", "Charleston",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCAE", "Columbia",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGSP", "Greenville",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGSP", "Spartanburg",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGSP", "Greer",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "South Dakota",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KABR", "Aberdeen",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KUDX", "Rapid City",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFSD", "Sioux falls",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Tennessee",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMRX", "Knoxville",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KNQA", "Memphis",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMRX", "Morristown",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KOHX", "Nashville",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMRX", "Tri Cities",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Texas",             {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAMA", "Amarillo",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEWX", "Austin",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KBRO", "Brownsville",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGRK", "Central Texas",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCRP", "Corpus Christi",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFWS", "Dallas",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDYX", "Dyess AFB",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEPZ", "El Paso",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFWS", "Fort Worth",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHGX", "Galveston",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KHGX", "Houston",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KDFX", "Laughlin AFB",      {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLBB", "Lubbock",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMAF", "Midland/Odessa",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KSJT", "San Angelo",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KEWX", "San Antonio",       {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Utah",              {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KICX", "Cedar City",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMTX", "Salt Lake City",    {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Vermont",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCXX", "Burlington",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Virginia",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFCX", "Blacksburg",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAKQ", "Norfolk",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAKQ", "Richmond",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KFCX", "Roanoke",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLWX", "Sterling",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KAKQ", "Wakefield",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Washington",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KATX", "Seattle",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KOTX", "Spokane",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KATX", "Tacoma",            {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Washington DC",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KLWX", "Washington",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "West Virginia",     {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRLX", "Charleston",        {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Wisconsin",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KGRB", "Green Bay",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KARX", "La Crosse",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KMKX", "Milwaukee",         {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_STATE, NULL,   "Wyoming",           {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KCYS", "Cheyenne",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{LOCATION_CITY,  "KRIW", "Riverton",          {0, 0, 0, 0, 0, 0, 0, 0}},
	{0,               NULL,  NULL,               {0, 0, 0, 0, 0, 0, 0, 0}},
};
